<?php
namespace App\Test\TestCase\Model\Table;

use App\Model\Table\IndicatorsUnitsTable;
use Cake\ORM\TableRegistry;
use Cake\TestSuite\TestCase;

/**
 * App\Model\Table\IndicatorsUnitsTable Test Case
 */
class IndicatorsUnitsTableTest extends TestCase
{

    /**
     * Test subject
     *
     * @var \App\Model\Table\IndicatorsUnitsTable
     */
    public $IndicatorsUnits;

    /**
     * Fixtures
     *
     * @var array
     */
    public $fixtures = [
        'app.indicators_units',
        'app.units',
        'app.groups',
        'app.health_insurance_plans',
        'app.hospitalizations',
        'app.origins',
        'app.signs',
        'app.goals',
        'app.goals_units',
        'app.users',
        'app.roles',
        'app.log',
        'app.units_users'
    ];

    /**
     * setUp method
     *
     * @return void
     */
    public function setUp()
    {
        parent::setUp();
        $config = TableRegistry::exists('IndicatorsUnits') ? [] : ['className' => 'App\Model\Table\IndicatorsUnitsTable'];
        $this->IndicatorsUnits = TableRegistry::get('IndicatorsUnits', $config);
    }

    /**
     * tearDown method
     *
     * @return void
     */
    public function tearDown()
    {
        unset($this->IndicatorsUnits);

        parent::tearDown();
    }

    /**
     * Test initialize method
     *
     * @return void
     */
    public function testInitialize()
    {
        $this->markTestIncomplete('Not implemented yet.');
    }

    /**
     * Test validationDefault method
     *
     * @return void
     */
    public function testValidationDefault()
    {
        $this->markTestIncomplete('Not implemented yet.');
    }

    /**
     * Test buildRules method
     *
     * @return void
     */
    public function testBuildRules()
    {
        $this->markTestIncomplete('Not implemented yet.');
    }
}
